/**
 * $Id: util.cpp 154 2010-01-23 02:53:59Z l0728348 $
 *
 * Copyright 2009
 *
 * @author Christian, Bernhard, Manuel / Gruppe 1
 * @brief Utility functions used by various other files
 */

#include <time.h>
#include <sys/time.h>
#include "util.h"

namespace Util
{
  Ice::Long getTime()
  {
    struct timeval tv;
    gettimeofday(&tv, NULL);
    /* we need to copy tv_sec here. otherwise compiler will try
     * to calculate the result inside a long, which isn't sufficient
     */
    Ice::Long ret = tv.tv_sec;
    return ret * 1000 + tv.tv_usec / 1000;
  }
}
/* vim: set et sw=2 ts=2: */
