/**
 * $Id: main.cpp 92 2010-01-17 15:33:24Z l0728348 $
 *
 * Copyright 2009
 *
 * @author Christian, Bernhard, Manuel / Gruppe 1
 * @brief Main class
 */

#include <Ice/Ice.h>
#include "ehrprovider.h"
#include "configuration.h"

int main(int argc, char *argv[])
{
  EhrProvider prov;
  int ret = prov.setup(argc, argv);
  if (ret >= 0)
    return ret;

  Ice::InitializationData initdata;
  initdata.properties = Ice::createProperties();
  initdata.properties->setProperty("Ice.InitPlugins", "0"); // we do this ourself
  //initdata.properties->setProperty("Ice.Plugin.IceSSL", "IceSSL:createIceSSL");
  initdata.properties->load(prov.getConfiguration()->getConfFile());

  return prov.main(argc, argv, initdata);
}


/* vim: set et sw=2 ts=2: */
